Lucene search

K
amazonAmazonALAS2-2022-1822
HistoryJul 19, 2022 - 12:38 a.m.

Important: java-11-amazon-corretto

2022-07-1900:38:00
alas.aws.amazon.com
37

7.5 High

AI Score

Confidence

High

0.002 Low

EPSS

Percentile

53.1%

Issue Overview:

Generated code produced by C1 may leak a package-private class to a class from a different package. (CVE-2022-21540)

MethodHandle.invokeBasic() method can be accessed on byte code level from an arbitrary class. (CVE-2022-21541)

The Xalan Java XSLT library has an integer truncation issue when processing malicious stylesheets. This can be used to corrupt Java class files generated by the internal XSLTC compiler and execute arbitrary Java bytecode. (CVE-2022-34169)

Affected Packages:

java-11-amazon-corretto

Note:

This advisory is applicable to Amazon Linux 2 (AL2) Core repository. Visit this FAQ section for the difference between AL2 Core and AL2 Extras advisories.

Issue Correction:
Run yum update java-11-amazon-corretto to update your system.

New Packages:

aarch64:  
    java-11-amazon-corretto-headless-11.0.16+8-1.amzn2.aarch64  
    java-11-amazon-corretto-javadoc-11.0.16+8-1.amzn2.aarch64  
    java-11-amazon-corretto-11.0.16+8-1.amzn2.aarch64  
  
src:  
    java-11-amazon-corretto-11.0.16+8-1.amzn2.src  
  
x86_64:  
    java-11-amazon-corretto-11.0.16+8-1.amzn2.x86_64  
    java-11-amazon-corretto-headless-11.0.16+8-1.amzn2.x86_64  
    java-11-amazon-corretto-javadoc-11.0.16+8-1.amzn2.x86_64  

Additional References

Red Hat: CVE-2022-21540, CVE-2022-21541, CVE-2022-34169

Mitre: CVE-2022-21540, CVE-2022-21541, CVE-2022-34169